https://shopify.com/admin/api/2020-07/checkouts/{token}/payments.jsonhttps://shopify.dev/docs/admin-api/rest/reference/sales-channels/payment#create_payment-2020-07
token
The amount of the payment.
The details of the request, including the following attributes: ip_address: The IP address of the customer. accept_language: The language preferences of the customer, in the same format as a standard Accept-Language request header. user_agent: The user agent string for the customer's device.
A session ID provided by the card vault when creating a payment session.
A unique idempotency token generated by your app. This can be any value, but must be unique across all payment requests.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://shopify.com/admin/api/2020-07/checkouts/{token}/payments.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://shopify.com/admin/api/2020-07/checkouts/{token}/payments.jsonhttps://shopify.dev/docs/admin-api/rest/reference/sales-channels/payment#create_payment-2020-07
token
The amount of the payment.
The details of the request, including the following attributes: ip_address: The IP address of the customer. accept_language: The language preferences of the customer, in the same format as a standard Accept-Language request header. user_agent: The user agent string for the customer's device.
A session ID provided by the card vault when creating a payment session.
A unique idempotency token generated by your app. This can be any value, but must be unique across all payment requests.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://shopify.com/admin/api/2020-07/checkouts/{token}/payments.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}